**Update** Sponge Plugin Competition - Summer 2016


The winners have been chosen!

As announced on the State of Sponge XII stream the winners are...

Congratulations to both of you! You should have a message in your forum inbox regarding your prizes.

But wait, there's more!

As a special thank you we're also offering a $10 gift card to one of the prize stores (Nintendo eShop, PlayStation Store, Xbox Store, or GameStop) to any of the competition participants that didn't win. Simply message me here on the forums within 48 hours.

Sponge for Minecraft 1.10.2 is out!
About the Sponge Plugin Competition category
Sponge Plugin Competition - Looking Ahead
FreeBlocks - Move blocks freely outside of the coordinate system!
Clear Chat | Customizable

Lol, still not Kotlin...


Not again xD.


Now, I am quiet :grin:

I have Overwatch, so I don't need any other games :grin:


So what hapoened to adding back the language rule. There wasn't any mention of it in the looking ahead thread.


Whoops! Sorry folks. Grabbed the wrong list of requirements when putting up the thread. Should be better now. :slight_smile:


It's all good now.


Just out of curiosity, does this mean it has to be compatible with 4.1/4.2 or can it be built with 5.0.0?


I have clarified in the post.


I'm still not clear on what 'latest available' means. Does that mean latest stable, or will the bleeding version at the time be eligible?


Also, what happens if a new sponge is released during the competition? Especially since SoS, for some mysterious reason, sometimes occur right before or after a large update. What happens (hypothetically) if 5.0 is released three days before the end date? Will all submissions have to update?


Given that I am always in contact with Sponge team members if a release close to the submission deadline were to happen I would make a ruling based on how much time remains.

In general we want all submissions to be compatible with the latest release available at the time of the submission deadline. If plugin 'BananaTrees' targets 4.1 and 5.0 is the latest, we will not disqualify them unless it is incompatible with the latest. Submissions that target different API versions will only be disqualified if they are not compatible with the latest release.

NoXray [v0.3.3-beta][1.10.2]

I am submitting NoXray.

  • The plugins main feactures is to make xrayers life a living hell.
  • It also serves as an example in how to use mixins in sponge plugins.


Updated phrasing of rules/requirements.



Updated again. Thanks for the feedback. :slight_smile: Feel free to PM me on IRC if you have any other tweaks you feel should be made.


Why's it suddenly 18 and not 17?


Was overlooked. All fixed. :slight_smile:


C'mon guys! A little over a month in and we only have four submissions? We can do better! :smiley:


I wrote a little PvP protection that works with a Friendslist. If it's ok that the "bonus" (a little lockette like container protection) is not 100% working * I'll enter with that.

*)To be more precise, I couldn't get the ChangeBlockEvent to prevent TNT from breaking eveything, but since that was not the primary goal of this plugin I just ignored it